Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.eviware.soapui.support.components
Enum ConfigurationDialog.FieldType

    java.lang.Object
      java.lang.Enum<ConfigurationDialog.FieldType>
          com.eviware.soapui.support.components.ConfigurationDialog.FieldType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ConfigurationDialog.FieldType>

Enclosing interface:
  ConfigurationDialog

    public static enum ConfigurationDialog.FieldType

extends java.lang.Enum<ConfigurationDialog.FieldType>

Enum Constant Summary
`DIRECTORY`
`FILE`
`JAVA_CLASS`
`JAVA_PACKAGE`
`TEXT`
`URL`

Method Summary
`static ConfigurationDialog.FieldType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ConfigurationDialog.FieldType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TEXT

    public static final ConfigurationDialog.FieldType TEXT

### DIRECTORY

    public static final ConfigurationDialog.FieldType DIRECTORY

### FILE

    public static final ConfigurationDialog.FieldType FILE

### URL

    public static final ConfigurationDialog.FieldType URL

### JAVA_PACKAGE

    public static final ConfigurationDialog.FieldType JAVA_PACKAGE

### JAVA_CLASS

    public static final ConfigurationDialog.FieldType JAVA_CLASS

Method Detail

### values

    public static final ConfigurationDialog.FieldType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ConfigurationDialog.FieldType c : ConfigurationDialog.FieldType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ConfigurationDialog.FieldType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.